#include <QBitmap>
#include <QImage>
#include <QLayout>
#include <QScrollArea>
#include <QSlider>
#include <QWidget>

#include "MiniMap.h"
#include "HandyScrollArea.h"

class DiffWidget :
	public QWidget
{
	Q_OBJECT
public:
	DiffWidget(char* f1, char* f2);
	~DiffWidget(void);

	void setLeg1( QImage i );
	void setLeg2( QImage i );

	void setScale( double s );

signals:
	void showMessage( QString m, int msec );

public slots:
	void nil0() {};
	void setDiffMask( bool on );
	void chooseMaskColor();
	void setTolerance( int dec );

private slots:
	void nil() {};
	void doBlend( int eightBit );
	void showLeg1();
	void showLeg2();

	void message( QString m );

private:
	QImage leg1;
	QImage leg2;
	QImage diff;

	QBitmap mask;

	MiniMap* p1;
	MiniMap* p2;
	ImageProjector* blend;

	QSlider* slider;

	QImage s_alpha;
	QImage scratch;

	HandyScrollArea* scroll;
	QHBoxLayout* blend_l;
};
